function onCreatePost()
	makeLuaSprite('bg', 'bg/clod/clod_bg', -750, 100)
	scaleObject('bg', 0.9, 0.9)
	addLuaSprite('bg', false)

	makeLuaSprite('door', 'bg/clod/clod_door', -500, 50)
	scaleObject('door', 0.8, 0.8)
	addLuaSprite('door', false)

	makeLuaSprite('table', 'bg/clod/clod_table', -750, 100)
	scaleObject('table', 0.9, 0.9)
	addLuaSprite('table', true)

	makeLuaSprite('pepsi', 'bg/clod/pepsi_front', -600, 200)
	scaleObject('pepsi', 0.8, 0.8)
	addLuaSprite('pepsi', true)

	makeLuaSprite('dark')
	makeGraphic('dark', screenWidth, screenHeight, '000000')
	setObjectCamera('dark', 'camHUD')

	addLuaSprite('dark', true)

	makeAnimatedLuaSprite('VCR', 'VCR', 0, 0)

	addAnimationByPrefix('VCR', 'VCR', 'VCR', 24, true)
	objectPlayAnimation('VCR', 'VCR', true)

	scaleObject('VCR', 6.4, 4.8)
	setObjectCamera('VCR', 'camHUD')

	setProperty('VCR.alpha', 0.5)
	
    addLuaSprite('VCR', true)

	if not shadersEnabled then return end

	addHaxeLibrary('ShaderFilter', 'openfl.filters')

	initLuaShader('vhs')

	makeLuaSprite('vhs')

	runHaxeCode([[
		var shader = game.createRuntimeShader('vhs');
		game.getLuaObject('vhs').shader = shader;

		game.camGame.setFilters([new ShaderFilter(shader)]);
		//game.camHUD.setFilters([new ShaderFilter(shader)]);
	]])

	setShaderFloat('vhs', 'glitchModifier', 0.025)
end

function onSongStart()
	doTweenAlpha('byebye', 'dark', 0, 5)
end

function onUpdate(elapsed)
	if shadersEnabled then setShaderFloat('vhs', 'iTime', getSongPosition()) end
end